Name:           jcip-annotations
Version:        1.0
Release:        %mkrel 30.20060626.3
Summary:        Java annotations for multithreaded software

Group:          Development/Java
License:        CC-BY
URL:            http://www.jcip.net/
Source0:        http://jcip.net.s3-website-us-east-1.amazonaws.com/%{name}-src.jar
Source1:        https://mirrors.ibiblio.org/pub/mirrors/maven2/net/jcip/%{name}/1.0/%{name}-1.0.pom

BuildRequires:  javapackages-local

# There is no point in building native libraries, as the sources contain only
# annotation definitions, so no code would be generated.
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch
BuildRequires:  java-devel >= 1.5.0

Requires:       java-headless >= 1.5.0


%description
This package provides class, field, and method level annotations for
describing thread-safety policies.  These annotations are relatively
unintrusive and are beneficial to both users and maintainers.  Users can see
immediately whether a class is thread-safe, and maintainers can see
immediately whether thread-safety guarantees must be preserved.  Annotations
are also useful to a third constituency: tools.  Static code-analysis tools
may be able to verify that the code complies with the contract indicated by
the annotation, such as verifying that a class annotated with @Immutable
actually is immutable.

%package javadoc
Summary:        Javadoc for jcip-annotations

%description javadoc
Javadoc documentation for the jcip-annotations package.
On systems where javadoc is sinjdoc, this package contains nothing useful
since sinjdoc does not understand annotations.

%prep
%setup -q -c

cp %{SOURCE1} pom.xml

# Get rid of the manifest created upstream with ant
rm -fr META-INF

# Fix DOS line endings
sed -i 's/\r//' net/jcip/annotations/package.html

%mvn_file net.jcip:%{name} %{name}
%mvn_alias "net.jcip:%{name}" "com.github.stephenc.jcip:jcip-annotations"

%build
mkdir classes
find . -name '*.java' | xargs %javac -g -source 1.8 -target 1.8 -d classes
cd classes
%jar cf ../%{name}.jar net
cd ..
%javadoc -Xdoclint:none -d docs -source 1.8 net.jcip.annotations

%mvn_artifact pom.xml %{name}.jar

%install

%mvn_install -J docs

%files -f .mfiles

%files javadoc -f .mfiles-javadoc




%changelog
* Fri May 24 2024 ns80 <ns80> 1.0-30.20060626.3.mga10
+ Revision: 2067117
- rebuild for java 21

* Fri Dec 09 2022 umeabot <umeabot> 1.0-30.20060626.2.mga9
+ Revision: 1919727
- Mageia 9 Mass Rebuild

* Thu Sep 10 2020 daviddavid <daviddavid> 1.0-30.20060626.1.mga8
+ Revision: 1624158
- Enable building with JDK 11: use source/target 1.8
- Rebuilt for JDK-11

* Wed Feb 12 2020 umeabot <umeabot> 1.0-22.20060627.3.mga8
+ Revision: 1501803
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0-22.20060627.2.mga7
+ Revision: 1278917
- Mageia 7 Mass Rebuild

* Sun Oct 01 2017 daviddavid <daviddavid> 1.0-22.20060627.1.mga7
+ Revision: 1162348
- Add temporary dependency on javapackages-local, for %%add_maven_depmap macro
+ neoclust <neoclust>
- Second rebuild of the java stack

* Fri Feb 26 2016 neoclust <neoclust> 1.0-17.20060627.1.mga6
+ Revision: 979356
- First rebuild of the java stack
- sync package jcip-annotations with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Jan 20 2015 daviddavid <daviddavid> 1.0-7.mga5
+ Revision: 811627
- use .mfiles generated during build
- update Requires

* Wed Oct 15 2014 umeabot <umeabot> 1.0-6.mga5
+ Revision: 749928
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0-5.mga5
+ Revision: 680749
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0-4.mga4
+ Revision: 506350
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 1.0-3.mga3
+ Revision: 355259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 14 2012 dmorgan <dmorgan> 1.0-2.mga3
+ Revision: 330660
- Adapt for maven3

* Sat Mar 12 2011 grenoya <grenoya> 0:1.0-1.0.3.mga1
+ Revision: 69509
- clean old Mdv syntax
- imported package jcip-annotations


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0:1.0-1.0.3mdv2011.0
+ Revision: 619785
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0:1.0-1.0.2mdv2010.0
+ Revision: 429597
- rebuild

* Tue Aug 12 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.0-1.0.1mdv2009.0
+ Revision: 271258
- fix group
- BR java-rpmbuild
- import jcip-annotations


